### Function

# Gtk render_line

deprecated: 4.10 since: 4.0

#### Declaration [src]

    void
    gtk_render_line (
      GtkStyleContext* context,
      cairo_t* cr,
      double x0,
      double y0,
      double x1,
      double y1
    )

#### Description [src]

Renders a line from (x0, y0) to (x1, y1).

Available since: 4.0

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the function.

`cr`

  Type: `cairo_t`

  A `cairo_t`

  The data is owned by the caller of the function.

`x0`

  Type: `double`

  X coordinate for the origin of the line.

`y0`

  Type: `double`

  Y coordinate for the origin of the line.

`x1`

  Type: `double`

  X coordinate for the end of the line.

`y1`

  Type: `double`

  Y coordinate for the end of the line.